function onTalk()
    disableMovement()
    walkTo(celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("chestUpsidedown").position.x + 10)
    celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("chestUpsidedown"):PlayAnimation("openAnim")
    playSound("event:/probanana/ChestOpen")
    wait(1.5)
    celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("chestUpsidedown"):PlayAnimation("open")
    if not getFlag("probananakeyget" .. arguments) then
        playSound("event:/probanana/KeyGet")
        celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("whoakeyUpsidedown"):PlayAnimation("appear")
        wait(0.1)
        celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("whoakeyUpsidedown"):PlayAnimation("get")
        wait(3)
        celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("whoakeyUpsidedown"):PlayAnimation("fade")
        wait(0.3)
    end
    
end

function onEnd()
    setFlag("probananakeyget" .. arguments, true)
    celeste.Mod.MaxHelpingHand.Entities.MoreCustomNPC.GetNPC("whoakeyUpsidedown"):PlayAnimation("hide")
    enableMovement()
end